--[[	
	
	-------------------------------------------------------------------------
	-- Casting Bar hack, cont.
	-------------------------------------------------------------------------
	
function OnCombatEventCastbar(self, event, timestamp, ...)
	local combatevent, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags, spellid, spellname = ...
	if (combatevent ~= "SPELL_CAST_START") then return end
	
	local currentTime = GetTime()
	local spell, _, icon, _, _, _, castTime, _, _ = GetSpellInfo(spellid)
	if castTime then ShowSpellFromGUID(sourceGUID, spell, icon, currentTime, currentTime + (castTime/1000), true) end
end
	
local CombatCastEventWatcher = CreateFrame("Frame")
CombatCastEventWatcher:SetScript("OnEvent", OnCombatEventCastbar) 
CombatCastEventWatcher:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
--]]